Stop a card with one of the allowed (integer) values for stopReasonID.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| customerReference | String | 1-255 characters | ✓ | Customer reference linked with this card |
| trackingNumber | String | 1-20 characters | ✓ | The tracking number of the card to stop |
| stopReasonID | Integer | ✓ | Stop Reason id associated with the reason for stopping a card The reason id for stopping the card: 1 – Card lost 2 – Card stolen 3 – Pending query 4 – Card consolidation 5 – Card inactive 6 – PIN tries exceeded 7 – Suspected fraud 8 – Card replaced 9 – Stopped to be re-issued 10 – Scheduled stop 11 – Offline PIN attempts exceeded | |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | Date | ✓ | Transaction date generated by the calling client | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>StopCard</methodName>
<params>
<param>
<value>
<string>0008866376</string>
</value>
</param>
<param>
<value>
<string>TEST_CUSTOMER</string>
</value>
</param>
<param>
<value>
<string>638654700000008</string>
</value>
</param>
<param>
<value>
<int>2</int>
</value>
</param>
<param>
<value>
<string>d89d6df6-4e14-45a5-a32c-217c7175dfdb</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20160525T00:00:00</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>E554FEB530A9C675817F3855819F7F0A34C76574</string>
</value>
</param>
</params>
</methodCall>
Response Parameters
| Field | type | Description |
|---|---|---|
| terminalID | String | Echo |
| customerReference | String | Echo |
| trackingNumber | String | Echo |
| stopReasonID | Integer | Echo |
| clientTransactionID | String | Echo |
| serverTransactionID | String | Transaction id generated by Paymentology |
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>clientTransactionID</name>
<value>
<string>d89d6df6-4e14-45a5-a32c-217c7175dfdb</string>
</value>
</member>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>terminalID</name>
<value>
<string>0008866376</string>
</value>
</member>
<member>
<name>customerReference</name>
<value>
<string>TEST_CUSTOMER</string>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
<member>
<name>serverTransactionID</name>
<value>
<string>766AA815-155D-0028-9D73400C6ACF4DDA</string>
</value>
</member>
<member>
<name>trackingNumber</name>
<value>
<string>638654700000008</string>
</value>
</member>
<member>
<name>stopReasonID</name>
<value>
<int>2</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
